Page MenuHomePhabricator

WikiEditor should use defaults closer to WikiMedia's setup
Closed, ResolvedPublic

Description

The defaults WikiEditor come with leave it practically nonfunctional until the user installing it has sifted through a pile of config needed to get the most basic features of it enabled.

When a 3rd party wiki installs WikiEditor they are expecting to get the fully featured stable WikiEditor like Wikipedia has. The defaults should be closer to what WikiMedia has, at the very least defaults should be such that once installed a user can go to an edit page and see that the editor is there and functional.


Version: unspecified
Severity: normal
Whiteboard: aklapper-moreinfo

Details

Reference
bz34410

Related Objects

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 12:15 AM
bzimport added a project: WikiEditor.
bzimport set Reference to bz34410.
bzimport added a subscriber: Unknown Object (MLST).
Reedy added a comment.Feb 15 2012, 3:05 PM

I think the Vector extension should probably be also subject to similar changes

I think this is sane - just beware both extensions have "experimental" (read probably broken) modules which shouldn't be enabled by default.

If the configuration used on Wikipedia were used as the default, that would probably meet people's expectations.

I'd tend to agree, in particular:

WikiEditor:

  • enable dialogs

Vector:

  • enable SimpleSearch

Anything else?

Didn't simplesearch need fixing of a bug we could only fix by merging the Vector extension into core?

TheDJ added a comment.Apr 7 2014, 6:20 PM

I think that has really improved over the past year. Does anyone still see anything that needs to be taken care of in this regard ?

Change 132601 had a related patch set uploaded by TheDJ:
Make the toolbar and dialogs enabled by default.

https://gerrit.wikimedia.org/r/132601

Change 132601 merged by jenkins-bot:
Make the toolbar and dialogs enabled by default.

https://gerrit.wikimedia.org/r/132601

GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:25 AM